package com.burtbeckwith.dynamicdomain

import org.codehaus.groovy.grails.commons.ApplicationHolder as AH
import org.codehaus.groovy.grails.commons.DefaultGrailsApplication
import org.codehaus.groovy.grails.commons.GrailsDomainClass

/**
 * This is needed when calling DomainClassGrailsPlugin.enhanceDomainClasses() and
 * HibernatePluginSupport.enhanceSessionFactory() so they only act on the new class.
 *
 * @author Burt
 */
class FakeApplication extends DefaultGrailsApplication {

	final domainClasses

	FakeApplication(GrailsDomainClass dc) {
		super([dc.clazz] as Class[], AH.application.classLoader)
		domainClasses = [dc]
	}
}
